tigase.db.derby

## Class MsgRepositoryStoredProcedures

- java.lang.Object
- - tigase.db.derby.MsgRepositoryStoredProcedures

-     public class MsgRepositoryStoredProcedures
      extends Object

  Created by andrzej on 22.03.2017.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MsgRepositoryStoredProcedures()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addMessage(String receiver, String sender, Integer type, Timestamp ts, String message, Timestamp expired, Long limit, ResultSet[] data)`
    `static void` | `deleteMessage(Long msgId)`
    `static void` | `deleteMessages(String receiver, ResultSet[] data)`
    `static void` | `deleteMessagesByIds(String receiver, String msgId1, String msgId2, String msgId3, String msgId4, ResultSet[] data)`
    `static void` | `getExpiredMessages(int limit, ResultSet[] data)`
    `static void` | `getExpiredMessagesBefore(Timestamp before, ResultSet[] data)`
    `static void` | `getMessages(String receiver, ResultSet[] data)`
    `static void` | `getMessagesByIds(String receiver, String msgId1, String msgId2, String msgId3, String msgId4, ResultSet[] data)`
    `static void` | `getMessagesCount(String receiver, ResultSet[] data)`
    `static void` | `listMessages(String receiver, ResultSet[] data)`
    `static void` | `migrateFromOldSchema()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MsgRepositoryStoredProcedures

          public MsgRepositoryStoredProcedures()

  - ### Method Detail

    - #### addMessage

          public static void addMessage(String receiver,
                                        String sender,
                                        Integer type,
                                        Timestamp ts,
                                        String message,
                                        Timestamp expired,
                                        Long limit,
                                        ResultSet[] data)
                                 throws SQLException

      Throws:
        `SQLException`

    - #### deleteMessage

          public static void deleteMessage(Long msgId)
                                    throws SQLException

      Throws:
        `SQLException`

    - #### deleteMessages

          public static void deleteMessages(String receiver,
                                            ResultSet[] data)
                                     throws SQLException

      Throws:
        `SQLException`

    - #### deleteMessagesByIds

          public static void deleteMessagesByIds(String receiver,
                                                 String msgId1,
                                                 String msgId2,
                                                 String msgId3,
                                                 String msgId4,
                                                 ResultSet[] data)
                                          throws SQLException

      Throws:
        `SQLException`

    - #### getExpiredMessages

          public static void getExpiredMessages(int limit,
                                                ResultSet[] data)
                                         throws SQLException

      Throws:
        `SQLException`

    - #### getExpiredMessagesBefore

          public static void getExpiredMessagesBefore(Timestamp before,
                                                      ResultSet[] data)
                                               throws SQLException

      Throws:
        `SQLException`

    - #### getMessages

          public static void getMessages(String receiver,
                                         ResultSet[] data)
                                  throws SQLException

      Throws:
        `SQLException`

    - #### getMessagesByIds

          public static void getMessagesByIds(String receiver,
                                              String msgId1,
                                              String msgId2,
                                              String msgId3,
                                              String msgId4,
                                              ResultSet[] data)
                                       throws SQLException

      Throws:
        `SQLException`

    - #### getMessagesCount

          public static void getMessagesCount(String receiver,
                                              ResultSet[] data)
                                       throws SQLException

      Throws:
        `SQLException`

    - #### listMessages

          public static void listMessages(String receiver,
                                          ResultSet[] data)
                                   throws SQLException

      Throws:
        `SQLException`

    - #### migrateFromOldSchema

          public static void migrateFromOldSchema()
                                           throws SQLException

      Throws:
        `SQLException`

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.